Comments

  1. Gracias master! Hacia meses que lo estaba esperando, y justo en este momento estoy terminando de instalar Ubuntu 64 bits.
    Vamos a ver si este bichito cumple con lo mas importante por lo menos para reemplazar a Autocad!

    • Pues esperemos que la beta vaya como la seda y tengamos la versión final pronto.
      Es un pequeño paso para el CAD en Linux pero puede ser una revolución. Ahora solo falta que empiece a funcionar pyArq Presupuestos y casi tenemos la oficina técnica libre completa.

  2. Estupendo, hace meses que visito a su pagina pero al fin un cad para linux, trabajo linux mint 10 y espero que empiece a funcionar mucho mejor que el ejecutado en wine

  3. DraftSight es un excelente clon de AutoCAD, pero no es libre. Manuti, gracias por mencionarme, acabo de descubrir tu Blog y ya me suscribí. Saludos.

    • Creo que nunca he dicho que fuera libre, aunque lo mismo se ha escapado por alguno de los post que he escrito sobre el tema.
      Lo que tengo claro es que es gratuito, al menos de momento y que pienso aprovecharlo.
      Y lo que si pone es el listón muy alto y al nivel de un CAD profesional que por lo que he probado casi no existía en Linux, excepto Medusa4 que también es gratuito y no libre y además tiene limitado el acceso y escritura de ficheros DWG. http://www.cad-schroer.com/Software/MEDUSA4/CADFreeware/

  4. Buenas Tardes.

    Ando muy interesando en instalar este software; pero no se en que parte fallo. Espero ustedes me puedan ayudar, ya que para mi será muy util utilizarlo. Sigo las instrucciones tal como se mencionan en la publicacion, pero muestra el siguiente error:
    dpkg: error al procesar DraftSight.deb (–install):
    no se puede acceder al archivo: No existe el fichero o el directorio
    Se encontraron errores al procesar: DraftSight.deb

    Por tanto, como se que tengo el archivo en la carpeta de descarga copio la misma instruccion con la ruta y aparece lo siguiente:

    sudo dpkg –force-architecture -i /home/jfgiraldo/Descargas/DraftSight.deb

    arrojando los siguientes comentarios:

    dpkg: aviso: sobreseyendo el problema porque está activa la opcion –force:
    la arquitectura del paquete (i386) no corresponde con la del sistema (amd64)
    dpkg: acede de …/Descargas/DraftSight.deb que contiene dessault-systemes-draftsight:i386, problema de dependencia:
    dessault-systemes-draftsight:i386 predepende de libexpat1 ( >= 2.0.1-4)
    dpkg: error al procesar /home/jfgiraldo/Descargas/DraftSight.deb (–install):
    problema de predependencia – no se instala dassault-systemes-draftsight:i386

    pruebo a instalar el paquete del que dice tener dependencia; y sucede lo siguiente:

    jfgiraldo@SGZ:~$ sudo apt-get install libexpat1Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    libexpat1 ya está en su versión más reciente.
    0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
    jfgiraldo@SGZ:~$

    Con esta informacion; que consejo me pueden brindar para poder disfrutar de este software. Anoto que lo instale con wine, pero presenta problemas con los graficos y me saca errores y se cierra.
    De antemano mil gracias por sus apotes.

    • A ver si te puedo ayudar. Ya que parece que tienes esa librería, prueba a instalar las otras que se comentan:
      sudo apt-get install libdirectfb-extra
      sudo apt-get install libxcb-render-util0
      y luego prueba a forzar la instalación completa, no solo la arquitectura:
      sudo dpkg --force-all –i DraftSight.deb
      A lo mejor en vez de añadir la ruta del paquete es mejor lanzar el comando desde esa carpeta, haciendo antes:
      cd /home/jfgiraldo/Descargas/
      En teoría así se instalará y solo queda probar que todo vaya bien.

    • Hola, creo que ese problema se da sólo con ubuntu 11.04, que tiene la versión actual de libexpat1, así que forzando la instalación completa tampoco funcionará. Lo he resuelto como encontré en ubuntuforums, el procedimiento es:

      Extraer el contenido de DraftSight.deb en una carpeta (por ejemplo:DS)
      Luego copiar las carpetas DS/opt/ y DS/var/ a nuestro directorio /opt y /var respectivamente.
      Luego acceder desde terminal a DS/DEBIAN, y
      sudo ./preinst
      sudo ./postinst

      Esto hará que se aparezca en el dash de Unity, con un ícono al escribir “draf…”; al hacerle clic ya se pude lanzar!
      Hasta ahora me ha funcionado y no he tenido problemas. Aunque en el thread original player107 dice que tiene un problema con las ventanas, que parpadean y por eso no lo puede usar. Como no he tenido ese problema supongo que será porque él no instaló las librerias que indica GGsalas.
      Me parece que es una solución para quienes usamos “el narval elegante” 11.04.

  5. buenas buena gente
    yo tenia instalado Draf en ubuntu 11.04 y funcionaba medianamente bien, pero al actualizar a Ubuntu 11.10 y al usar DraftS… resulta que cuando se abre otra ventana dentro del mismo programa (por ej. la de editar texto) el programa se cuelga y debo reinicia el entorno grafico o forzar el cierre de DraftS…..
    Quise desinstalarlo pero no se como, ya que sera porque lo instale forzandolo y por el metodo tradicional sudo apt-get remove DrafS….. no me deja hacerlo.
    Asi que espero que alguien me pueda ayudar o si a alguno le paso lo mismo y lo pudo solucionar que me tire una idea de como hacerlo.
    Gracias a todos
    exitos totales
    negrodario

Trackbacks

  1. […] Ya hay nueva versión del software gratuito para CAD 2D del grupo Dassault. Hay versiones nuevas para Windows, Mac y Linux. Yendo a lo que me interesa que es la versión de Linux, voy a comentar que sigue sin haber versión para Ubuntu 64bits y toca forzar la instalación como conté en este post. […]

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.